Last Comment Bug 426628 - Land dynamic gczeal on 1.8 branch
: Land dynamic gczeal on 1.8 branch
Status: RESOLVED FIXED
: meta, verified1.8.1.15
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Brian Crowder
:
Mentors:
Depends on: 308429 380833 401188 414982 427185
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 15:13 PDT by Daniel Veditz [:dveditz]
Modified: 2008-07-27 19:56 PDT (History)
9 users (show)
dveditz: blocking1.8.1.15+
dveditz: wanted1.8.1.x+
bob: in‑testsuite-
bob: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch donated by MikeM (12.01 KB, patch)
2008-04-25 11:53 PDT, Brian Crowder
no flags Details | Diff | Splinter Review
new rev (10.60 KB, patch)
2008-05-28 14:51 PDT, Brian Crowder
no flags Details | Diff | Splinter Review
tested and fixed (11.96 KB, patch)
2008-05-29 10:39 PDT, Brian Crowder
igor: review+
dveditz: approval1.8.1.15+
Details | Diff | Splinter Review

Description Daniel Veditz [:dveditz] 2008-04-02 15:13:29 PDT
To better test for GC regressions on the branch we need to land the dynamic gczeal changes. To avoid muddying long-fixed trunk bugs this bug will track that landing and should hold the final merged branch patch, including fixes for the regressions found.
Comment 1 Daniel Veditz [:dveditz] 2008-04-25 11:41:21 PDT
We do want this one for the 1.8.1.15 releases, it's just too hard to verify and test for GC bugs otherwise and the kinks seem to be worked out on the trunk now.
Comment 2 Brian Crowder 2008-04-25 11:53:41 PDT
Created attachment 317741 [details] [diff] [review]
patch donated by MikeM

This is a patch MikeM kindly rolled up; I still need to review it.
Comment 3 Daniel Veditz [:dveditz] 2008-05-28 11:33:14 PDT
Comment on attachment 317741 [details] [diff] [review]
patch donated by MikeM

crowder: ping?
Comment 4 Brian Crowder 2008-05-28 14:23:59 PDT
dveditz:  I have another rev of this patch that I'm building/testing now....  will post the patch shortly.
Comment 5 Brian Crowder 2008-05-28 14:51:26 PDT
Created attachment 322857 [details] [diff] [review]
new rev

Spun by hand from the trunk patches
Comment 6 Brian Crowder 2008-05-28 14:52:41 PDT
Old patches gcPadding change is wrong, but these otherwise match up well, I think.
Comment 7 Brian Crowder 2008-05-28 15:18:41 PDT
Comment on attachment 322857 [details] [diff] [review]
new rev

Woops, need a quick fix for something here, before review.
Comment 8 Brian Crowder 2008-05-29 10:39:58 PDT
Created attachment 322957 [details] [diff] [review]
tested and fixed

This one works better.
Comment 9 Brian Crowder 2008-05-29 13:33:45 PDT
Comment on attachment 322957 [details] [diff] [review]
tested and fixed

Should be good to go for 1.8
Comment 10 Daniel Veditz [:dveditz] 2008-05-30 11:26:44 PDT
Comment on attachment 322957 [details] [diff] [review]
tested and fixed

Just checking before we approve this, does this include all the regression fixes? (we're assuming that's what "rollup" meant in an earlier comment)
Comment 11 Brian Crowder 2008-05-30 11:28:57 PDT
It includes all the patches from the bugs on which this bug depends.  If there are others you or I have overlooked, then we'll be missing those.  I'm fairly certain this is everything, and gczeal definitely works in the 1.8 browser I've built with this (it is, in other words, appallingly slow).
Comment 12 Daniel Veditz [:dveditz] 2008-05-31 10:28:27 PDT
Comment on attachment 322957 [details] [diff] [review]
tested and fixed

Thanks.

Approved for 1.8.1.15, a=dveditz for release-drivers
Comment 13 Brian Crowder 2008-06-04 11:53:16 PDT
Checking in dom/src/base/nsJSEnvironment.cpp;
/cvsroot/mozilla/dom/src/base/nsJSEnvironment.cpp,v  <--  nsJSEnvironment.cpp
new revision: 1.262.2.14; previous revision: 1.262.2.13
done
Checking in js/src/js.c;
/cvsroot/mozilla/js/src/js.c,v  <--  js.c
new revision: 3.93.2.17; previous revision: 3.93.2.16
done
Checking in js/src/jsapi.c;
/cvsroot/mozilla/js/src/jsapi.c,v  <--  jsapi.c
new revision: 3.214.2.43; previous revision: 3.214.2.42
done
Checking in js/src/jsapi.h;
/cvsroot/mozilla/js/src/jsapi.h,v  <--  jsapi.h
new revision: 3.107.2.12; previous revision: 3.107.2.11
done
Checking in js/src/jscntxt.h;
/cvsroot/mozilla/js/src/jscntxt.h,v  <--  jscntxt.h
new revision: 3.80.4.26; previous revision: 3.80.4.25
done
Checking in js/src/jsgc.c;
/cvsroot/mozilla/js/src/jsgc.c,v  <--  jsgc.c
new revision: 3.104.2.36; previous revision: 3.104.2.35
done
Checking in js/src/jsgc.h;
/cvsroot/mozilla/js/src/jsgc.h,v  <--  jsgc.h
new revision: 3.33.4.13; previous revision: 3.33.4.12
done
Checking in js/src/jsobj.c;
/cvsroot/mozilla/js/src/jsobj.c,v  <--  jsobj.c
new revision: 3.208.2.59; previous revision: 3.208.2.58
done
Comment 14 Samuel Sidler (old account; do not CC) 2008-06-04 12:19:49 PDT
Branch only bug. Marking as FIXED.
Comment 15 Brian Crowder 2008-06-04 12:40:06 PDT
This needed a followup build-fix (for release):
Checking in nsJSEnvironment.cpp;
/cvsroot/mozilla/dom/src/base/nsJSEnvironment.cpp,v  <--  nsJSEnvironment.cpp
new revision: 1.262.2.15; previous revision: 1.262.2.14
done
Comment 16 Bob Clary [:bc:] 2008-06-11 03:12:58 PDT
gczeal exists in the shell and browser, but the shell is missing the command line option to set the zeal. crowder, can we have a followup patch after 1.8.1.15 for the command line option Z?

Note You need to log in before you can comment on or make changes to this bug.